Package org.zkoss.zhtml

## Class Img

- java.lang.Object
- - org.zkoss.zk.ui.AbstractComponent
  - - org.zkoss.zhtml.impl.AbstractTag
    - - org.zkoss.zhtml.Img

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`, `Component`, `DynamicPropertied`, `RawId`, `Scope`, `ComponentCtrl`

      public class Img
      extends AbstractTag

  The IMG tag.
  Author:
    tomyeh
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.zkoss.zhtml.impl.AbstractTag

      `AbstractTag.ExtraCtrl`

    - ### Nested classes/interfaces inherited from class org.zkoss.zk.ui.AbstractComponent

      `AbstractComponent.Children, AbstractComponent.ForwardInfo, AbstractComponent.TargetInfo`

  - ### Field Summary

    - ### Fields inherited from class org.zkoss.zhtml.impl.AbstractTag

      `_tagnm`

    - ### Fields inherited from interface org.zkoss.zk.ui.Component

      `APPLICATION_SCOPE, COMPONENT_SCOPE, DESKTOP_SCOPE, PAGE_SCOPE, REQUEST_SCOPE, SESSION_SCOPE, SPACE_SCOPE`

    - ### Fields inherited from interface org.zkoss.zk.ui.sys.ComponentCtrl

      `AFTER_CHILD_ADDED, AFTER_CHILD_REMOVED, AFTER_CLONED, AFTER_PAGE_ATTACHED, AFTER_PAGE_DETACHED, AFTER_PARENT_CHANGED, CE_BUSY_IGNORE, CE_DUPLICATE_IGNORE, CE_IMPORTANT, CE_NON_DEFERRABLE, CE_REPEAT_IGNORE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Img()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAlt()` | Returns the alt of this img tag.
    `java.lang.String` | `getCrossorigin()` | Returns the crossorigin of this img tag.
    `java.lang.String` | `getDecoding()` | Returns the decoding of this tag.
    `java.lang.String` | `getHeight()` | Returns the height of this img tag.
    `java.lang.String` | `getLoading()` | Returns the loading of this tag.
    `java.lang.String` | `getReferrerpolicy()` | Returns the referrerpolicy of this tag.
    `java.lang.String` | `getSizes()` | Returns the sizes of this tag.
    `java.lang.String` | `getSrc()` | Returns the src of this img tag.
    `java.lang.String` | `getSrcset()` | Returns the srcset of this tag.
    `java.lang.String` | `getUsemap()` | Returns the usemap of this img tag.
    `java.lang.String` | `getWidth()` | Returns the width of this img tag.
    `boolean` | `isIsmap()` | Returns the ismap of this img tag.
    `void` | `setAlt​(java.lang.String alt)` | Sets the alt of this img tag.
    `void` | `setCrossorigin​(java.lang.String crossorigin)` | Sets the crossorigin of this img tag.
    `void` | `setDecoding​(java.lang.String decoding)` | Sets the decoding of this tag.
    `void` | `setHeight​(java.lang.String height)` | Sets the height of this img tag.
    `void` | `setIsmap​(boolean ismap)` | Sets the ismap of this img tag.
    `void` | `setLoading​(java.lang.String loading)` | Sets the loading of this tag.
    `void` | `setReferrerpolicy​(java.lang.String referrerpolicy)` | Sets the referrerpolicy of this tag.
    `void` | `setSizes​(java.lang.String sizes)` | Sets the sizes of this tag.
    `void` | `setSrc​(java.lang.String src)` | Sets the src of this img tag.
    `void` | `setSrcset​(java.lang.String srcset)` | Sets the srcset of this tag.
    `void` | `setUsemap​(java.lang.String usemap)` | Sets the usemap of this img tag.
    `void` | `setWidth​(java.lang.String width)` | Sets the width of this img tag.

    - ### Methods inherited from class org.zkoss.zhtml.impl.AbstractTag

      `clone, getAccesskey, getDir, getDynamicProperties, getDynamicProperty, getExtraCtrl, getLang, getPropertyAccess, getSclass, getStyle, getTabindex, getTag, getTitle, getWidgetClass, hasDynamicProperty, isChildable, isContenteditable, isDraggable, isHidden, isOrphanTag, isSpellcheck, redraw, redrawChildrenDirectly, renderProperties, setAccesskey, setContenteditable, setDir, setDraggable, setDynamicProperty, setHidden, setLang, setSclass, setSpellcheck, setStyle, setTabindex, setTitle, setVisible, shallHideId, toString`

    - ### Methods inherited from class org.zkoss.zk.ui.AbstractComponent

      `addAnnotation, addCallback, addClientEvent, addEventHandler, addEventListener, addEventListener, addForward, addForward, addForward, addForward, addMoved, addRedrawCallback, addScopeListener, addShadowRoot, addShadowRootBefore, addSharedEventHandlerMap, appendChild, applyProperties, beforeChildAdded, beforeChildRemoved, beforeParentChanged, destroyIndexCacheMap, detach, didActivate, didActivate, didDeserialize, didDeserialize, disableBindingAnnotation, disableClientUpdate, disableHostChanged, enableBindingAnnotation, enableHostChanged, getAnnotatedProperties, getAnnotatedPropertiesBy, getAnnotation, getAnnotations, getAnnotations, getAttribute, getAttribute, getAttribute, getAttributeOrFellow, getAttributes, getAttributes, getAuService, getAutag, getCallback, getChildren, getClientAttribute, getClientDataAttribute, getClientEvents, getDefaultMold, getDefinition, getDesktop, getEventHandler, getEventHandlerNames, getEventListenerMap, getEventListeners, getFellow, getFellow, getFellowIfAny, getFellowIfAny, getFellows, getFirstChild, getForwards, getId, getIndexCacheMap, getLastChild, getMold, getNextSibling, getPage, getParent, getPreviousSibling, getRedrawCallback, getRoot, getShadowFellowIfAny, getShadowRoots, getShadowVariable, getShadowVariable, getShadowVariable0, getSpaceOwner, getSpecialRendererOutput, getStubonly, getSubBindingAnnotationCount, getTemplate, getTemplateNames, getUuid, getWidgetAttributeNames, getWidgetListener, getWidgetListenerNames, getWidgetOverride, getWidgetOverrideNames, hasAttribute, hasAttribute, hasAttribute, hasAttributeOrFellow, hasBindingAnnotation, hasFellow, hasFellow, hasSubBindingAnnotation, initIndexCacheMap, insertBefore, invalidate, isDisabledHostChanged, isInitialized, isInvalidated, isListenerAvailable, isVisible, onChildAdded, onChildRemoved, onPageAttached, onPageDetached, onParentChanged, onWrongValue, query, queryAll, redrawChildren, removeAttribute, removeAttribute, removeAttribute, removeCallback, removeChild, removeEventListener, removeForward, removeForward, removeRedrawCallback, removeScopeListener, removeShadowRoot, render, render, render, renderPropertiesOnly, replace, response, response, response, service, service, sessionDidActivate, sessionWillPassivate, setAttribute, setAttribute, setAttribute, setAuService, setAutag, setClientAttribute, setClientDataAttribute, setDefinition, setDefinition, setId, setMold, setPage, setPageBefore, setParent, setStubonly, setStubonly, setSubBindingAnnotationCount, setTemplate, setVisibleDirectly, setWidgetClass, setWidgetListener, setWidgetOverride, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdateWidgetListener, smartUpdateWidgetOverride, updateByClient, updateSubBindingAnnotationCount, willPassivate, willPassivate, willSerialize, willSerialize`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Img

          public Img()

  - ### Method Detail

    - #### getAlt

          public java.lang.String getAlt()

      Returns the alt of this img tag.
      Since:
        8.0.3

    - #### setAlt

          public void setAlt​(java.lang.String alt)
                      throws WrongValueException

      Sets the alt of this img tag.
      Throws:
        `WrongValueException`
      Since:
        8.0.3

    - #### getCrossorigin

          public java.lang.String getCrossorigin()

      Returns the crossorigin of this img tag.
      Since:
        8.0.3

    - #### setCrossorigin

          public void setCrossorigin​(java.lang.String crossorigin)
                              throws WrongValueException

      Sets the crossorigin of this img tag.

      Notice that this attribute refers to the corresponding attribute of the HTML5 specification. Hence, it would still be rendered to client-side as a DOM attribute even if the browser doesn’t support it.

      Throws:
        `WrongValueException`
      Since:
        8.0.3

    - #### getHeight

          public java.lang.String getHeight()

      Returns the height of this img tag.
      Since:
        8.0.3

    - #### setHeight

          public void setHeight​(java.lang.String height)
                         throws WrongValueException

      Sets the height of this img tag.
      Throws:
        `WrongValueException`
      Since:
        8.0.3

    - #### isIsmap

          public boolean isIsmap()

      Returns the ismap of this img tag.
      Since:
        8.0.3

    - #### setIsmap

          public void setIsmap​(boolean ismap)
                        throws WrongValueException

      Sets the ismap of this img tag.
      Throws:
        `WrongValueException`
      Since:
        8.0.3

    - #### getSrc

          public java.lang.String getSrc()

      Returns the src of this img tag.
      Since:
        8.0.3

    - #### setSrc

          public void setSrc​(java.lang.String src)
                      throws WrongValueException

      Sets the src of this img tag.
      Throws:
        `WrongValueException`
      Since:
        8.0.3

    - #### getUsemap

          public java.lang.String getUsemap()

      Returns the usemap of this img tag.
      Since:
        8.0.3

    - #### setUsemap

          public void setUsemap​(java.lang.String usemap)
                         throws WrongValueException

      Sets the usemap of this img tag.
      Throws:
        `WrongValueException`
      Since:
        8.0.3

    - #### getWidth

          public java.lang.String getWidth()

      Returns the width of this img tag.
      Since:
        8.0.3

    - #### setWidth

          public void setWidth​(java.lang.String width)
                        throws WrongValueException

      Sets the width of this img tag.
      Throws:
        `WrongValueException`
      Since:
        8.0.3

    - #### getDecoding

          public java.lang.String getDecoding()

      Returns the decoding of this tag.
      Since:
        10.0.0

    - #### setDecoding

          public void setDecoding​(java.lang.String decoding)
                           throws WrongValueException

      Sets the decoding of this tag.
      Throws:
        `WrongValueException`
      Since:
        10.0.0

    - #### getLoading

          public java.lang.String getLoading()

      Returns the loading of this tag.
      Since:
        10.0.0

    - #### setLoading

          public void setLoading​(java.lang.String loading)
                          throws WrongValueException

      Sets the loading of this tag.
      Throws:
        `WrongValueException`
      Since:
        10.0.0

    - #### getReferrerpolicy

          public java.lang.String getReferrerpolicy()

      Returns the referrerpolicy of this tag.
      Since:
        10.0.0

    - #### setReferrerpolicy

          public void setReferrerpolicy​(java.lang.String referrerpolicy)
                                 throws WrongValueException

      Sets the referrerpolicy of this tag.
      Throws:
        `WrongValueException`
      Since:
        10.0.0

    - #### getSizes

          public java.lang.String getSizes()

      Returns the sizes of this tag.
      Since:
        10.0.0

    - #### setSizes

          public void setSizes​(java.lang.String sizes)
                        throws WrongValueException

      Sets the sizes of this tag.
      Throws:
        `WrongValueException`
      Since:
        10.0.0

    - #### getSrcset

          public java.lang.String getSrcset()

      Returns the srcset of this tag.
      Since:
        10.0.0

    - #### setSrcset

          public void setSrcset​(java.lang.String srcset)
                         throws WrongValueException

      Sets the srcset of this tag.
      Throws:
        `WrongValueException`
      Since:
        10.0.0